Package org.gradle.tooling.model.kotlin.dsl

## Interface KotlinDslScriptModel

-     @Incubating
      public interface KotlinDslScriptModel

  Model for a Kotlin DSL script.
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<File>` | `getClassPath()` |
    `List<EditorReport>` | `getEditorReports()` |
    `List<String>` | `getExceptions()` |
    `List<String>` | `getImplicitImports()` |
    `List<File>` | `getSourcePath()` |

- - ### Method Detail

    - #### getClassPath

          List<File> getClassPath()

    - #### getSourcePath

          List<File> getSourcePath()

    - #### getImplicitImports

          List<String> getImplicitImports()

    - #### getEditorReports

          List<EditorReport> getEditorReports()

    - #### getExceptions

          List<String> getExceptions()